Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.persistence.testing
Class MemoryStorageTest

    java.lang.Object
      rice.persistence.testing.Test
          rice.persistence.testing.MemoryStorageTest

Direct Known Subclasses:
  PersistentStorageTest

public class MemoryStorageTest
extends Test

This class is a class which tests the Storage class in the rice.persistence package.

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Field Summary
`protected Storage` | `storage` DESCRIBE THE FIELD
`protected boolean` | `store` DESCRIBE THE FIELD

Fields inherited from class rice.persistence.testing.Test
`environment, FAILURE, PAD_SIZE, SUCCESS`

Constructor Summary
`MemoryStorageTest(boolean store, Environment env)` Builds a MemoryMemoryStorageTest

Method Summary
`static void` | `main(java.lang.String[] args)` The main program for the MemoryStorageTest class
`void` | `setUp(Continuation c)` The JUnit setup method
`void` | `start()` DESCRIBE THE METHOD
`void` | `testExists(Continuation c)` A unit test for JUnit
`void` | `testRetreival(Continuation c)` A unit test for JUnit

Methods inherited from class rice.persistence.testing.Test
`sectionEnd, sectionStart, stepDone, stepDone, stepException, stepStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### storage

    protected Storage storage

  DESCRIBE THE FIELD

### store

    protected boolean store

  DESCRIBE THE FIELD

Constructor Detail

### MemoryStorageTest

    public MemoryStorageTest(boolean store,
                             Environment env)

  Builds a MemoryMemoryStorageTest

Parameters:
  `store` - DESCRIBE THE PARAMETER
  `env` - DESCRIBE THE PARAMETER

Method Detail

### setUp

    public void setUp(Continuation c)

  The JUnit setup method

  Parameters:
    `c` - The new Up value

### testRetreival

    public void testRetreival(Continuation c)

  A unit test for JUnit

  Parameters:
    `c` - DESCRIBE THE PARAMETER

### testExists

    public void testExists(Continuation c)

  A unit test for JUnit

  Parameters:
    `c` - DESCRIBE THE PARAMETER

### start

    public void start()

  DESCRIBE THE METHOD

  Specified by:
    `start` in class `Test`

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  The main program for the MemoryStorageTest class

  Parameters:
    `args` - The command line arguments
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.